Download it now!
Bug 105423 - Problem with cut and paste of table from writer to impress
Summary: Problem with cut and paste of table from writer to impress
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: ImpressDraw-Tables Paste
  Show dependency treegraph
 
Reported: 2017-01-18 17:56 UTC by stephane.espie
Modified: 2017-02-18 17:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
a table example (18.97 KB, application/vnd.oasis.opendocument.text)
2017-01-18 18:06 UTC, stephane.espie
Details

Note You need to log in before you can comment on or make changes to this bug.
Description stephane.espie 2017-01-18 17:56:36 UTC
Description:
the format is broken, and the computer becomes very slow

Steps to Reproduce:
1. [writer] create a table with some merged cells (horizontal and vertical)
2. [writer] fill the table
3. [writer] copy
4. [impress] past

Actual Results:  
the format is broken, and the computer becomes very slow

Expected Results:
the table appear in Impress with the same look


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 stephane.espie 2017-01-18 18:06:38 UTC
Created attachment 130535 [details]
a table example

just an example of the table
Comment 2 stephane.espie 2017-01-18 18:07:32 UTC
the attachement is an odt file
Comment 3 Buovjaga 2017-01-24 11:14:40 UTC
I tried with all the Paste special options and they were all pretty crappy.

Win 7 Pro 64-bit Version: 5.4.0.0.alpha0+
Build ID: 1c27286b9d5331634c073cd3e327bd941e61bbb6
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-01-23_03:24:17
Locale: fi-FI (fi_FI); Calc: group

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 4 Commit Notification 2017-02-17 11:18:28 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=93a7df4bdf6a79a4973907d517149818d99c3638

tdf#105423 remove unecessary mnCol and mnColCnt

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-02-17 11:22:13 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=291538bac9b0d9e1afe69c244ffa9e3f4b203761

tdf#105423 merge cells based on its column edge.

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-02-17 11:23:42 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2ca015c2d30fc135e054e3eb329c530adce6ad0d

tdf#105423 support vertical merged cells.

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Buovjaga 2017-02-18 17:43:22 UTC
Yep, now it's ok.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 7ec0500e20cf273d70c4fbddb4063b8f8295307c
CPU Threads: 8; OS Version: Linux 4.9; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 18th 2016